Package org.eclipse.gef.dot.internal

# Class DotExtractor

java.lang.Object
org.eclipse.gef.dot.internal.DotExtractor

public class DotExtractor extends Object
The DotExtractor is responsible for extracting the dot graph definitions from arbitrary text files.

## Constructor Summary

Constructors
Constructor
Description
`DotExtractor(File file)`
`DotExtractor(String input)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDotString()`
`File`
`getDotTempFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotExtractor

public DotExtractor(String input)

Parameters:
  `input` - The string to extract a DOT graph substring from

### DotExtractor

public DotExtractor(File file)

Parameters:
  `file` - The file to extract a DOT substring from

## Method Details

### getDotString

public String getDotString()

Returns:
  A DOT string extracted from the input, or the `NO_DOT` constant, a valid DOT graph

### getDotTempFile

public File getDotTempFile()

Returns:
  A temporary file containing the DOT string extracted from the input, or the `NO_DOT` constant, a valid DOT graph